# Class ContactManager

java.lang.Object
com.codename1.gaming.physics.box2d.dynamics.ContactManager

All Implemented Interfaces:
  `PairCallback`

public class ContactManager extends Object implements PairCallback
Delegate of World.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `BroadPhase`
  `m_broadPhase`
  `int`
  `m_contactCount`
  `ContactFilter`
  `m_contactFilter`
  `Contact`
  `m_contactList`
  `ContactListener`
  `m_contactListener`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContactManager(World argPool, BroadPhaseStrategy strategy)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addPair(Object proxyUserDataA, Object proxyUserDataB)`
  Broad-phase callback.
  `void`
  `collide()`
  This is the top level collision call for the time step.
  `void`
  `destroy(Contact c)`
  `void`
  `findNewContacts()`

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### m_broadPhase

    public BroadPhase m_broadPhase

  - ### m_contactList

    public Contact m_contactList

  - ### m_contactCount

    public int m_contactCount

  - ### m_contactFilter

    public ContactFilter m_contactFilter

  - ### m_contactListener

    public ContactListener m_contactListener

- ## Constructor Details

  - ### ContactManager

    public ContactManager(World argPool, BroadPhaseStrategy strategy)

- ## Method Details

  - ### addPair

    public void addPair(Object proxyUserDataA, Object proxyUserDataB)
    Broad-phase callback.
    Specified by:
      `addPair` in interface `PairCallback`
    Parameters:
      `proxyUserDataA` -
      `proxyUserDataB` -

  - ### findNewContacts

    public void findNewContacts()

  - ### destroy

    public void destroy(Contact c)

  - ### collide

    public void collide()
    This is the top level collision call for the time step. Here all the narrow phase collision is processed for the world contact list.